Package com.studica.frc

## Class Cobra

- java.lang.Object
- - com.studica.frc.Cobra

    public class Cobra
    extends java.lang.Object

Cobra class c++ documentation

### Constructor Summary

Constructors
`Cobra()` Default constructor for Cobra
`Cobra​(float _vRef)` Constructor for Cobra

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRawValue​(int channel)` Gets the raw value of the sensor
`float` `getVoltage​(int channel)` Gets the voltage of the sensor

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cobra

    public Cobra()

Default constructor for Cobra

#### Cobra

    public Cobra​(float _vRef)

Constructor for Cobra

Parameters:
  `_vRef` - Referenced voltage

### Method Detail

#### getRawValue

    public int getRawValue​(int channel)

Gets the raw value of the sensor

Parameters:
  `channel` - The channel to read from
Returns:
  The raw value of the sensor

#### getVoltage

    public float getVoltage​(int channel)

Gets the voltage of the sensor

Parameters:
  `channel` - The channel to read from
Returns:
  The voltage of the sensor